Bug 180344 - lang/tcl84: patch to fix build of lang/expect
lang/tcl84: patch to fix build of lang/expect
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: tcltk
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-06 13:40 UTC by Jimmy Olgeni
Modified: 2013-07-08 15:40 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (158 bytes, patch)
2013-07-06 13:40 UTC, Jimmy Olgeni
no flags Details | Diff
file.diff (522 bytes, patch)
2013-07-06 13:40 UTC, Jimmy Olgeni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jimmy Olgeni freebsd_committer 2013-07-06 13:40:00 UTC
lang/tcl84 needs patch-generic-tclPort.h, which already exists in
tcl85 and tcl86. Without it, the lang/expect port fails to build in
redports.

Fix: PORTNAME=	tcl
 DISTVERSION=	8.4.20
+PORTREVISION=	1
 PORTEPOCH=	1
 CATEGORIES=	lang tcl
 MASTER_SITES=	${MASTER_SITE_TCLTK} \
Comment 1 Edwin Groothuis freebsd_committer 2013-07-06 13:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tcltk

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-07-08 15:31:43 UTC
Author: gahr
Date: Mon Jul  8 14:31:35 2013
New Revision: 322508
URL: http://svnweb.freebsd.org/changeset/ports/322508

Log:
  - Fix reference to header location in tclPort.h
  - Bump PORTREVISION
  
  PR:		180344
  Submitted by:	Jimmy Olgeni <olgeni@FreeBSD.org>

Added:
  head/lang/tcl84/files/patch-generic-tclPort.h   (contents, props changed)
Modified:
  head/lang/tcl84/Makefile

Modified: head/lang/tcl84/Makefile
==============================================================================
--- head/lang/tcl84/Makefile	Mon Jul  8 13:58:22 2013	(r322507)
+++ head/lang/tcl84/Makefile	Mon Jul  8 14:31:35 2013	(r322508)
@@ -3,6 +3,7 @@
 
 PORTNAME=	tcl
 DISTVERSION=	8.4.20
+PORTREVISION=	1
 PORTEPOCH=	1
 CATEGORIES=	lang tcl
 MASTER_SITES=	${MASTER_SITE_TCLTK} \

Added: head/lang/tcl84/files/patch-generic-tclPort.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/lang/tcl84/files/patch-generic-tclPort.h	Mon Jul  8 14:31:35 2013	(r322508)
@@ -0,0 +1,10 @@
+--- ../generic/tclPort.h.orig	2013-04-03 16:57:25.000000000 +0200
++++ ../generic/tclPort.h	2013-04-03 16:57:35.000000000 +0200
+@@ -20,7 +20,7 @@
+ #if defined(_WIN32)
+ #   include "tclWinPort.h"
+ #else
+-#   include "tclUnixPort.h"
++#   include "../unix/tclUnixPort.h"
+ #endif
+ #include "tcl.h"
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Pietro Cerutti freebsd_committer 2013-07-08 15:32:10 UTC
State Changed
From-To: open->closed

Committed. Thanks!